#
# Conditional build:
%bcond_without	doc	# don't build doc

%define		module		rjsmin
Summary:	rJSmin is a JavaScript minifier written in Python
Name:		python3-%{module}
Version:	1.2.4
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	a20ad5596df006d9b94769e0405d5716
URL:		http://opensource.perlig.de/rjsmin/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The minifier is based on the semantics of jsmin.c by Douglas
Crockford.

The module is a re-implementation aiming for speed, so it can be used
at runtime (rather than during a preprocessing step). Usually it
produces the same results as the original jsmin.c.

%package apidocs
Summary:	Javascript Minifier - docs
Group:		Documentation
BuildArch:	noarch

%description apidocs
Docs for rJSmin

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{py3_sitedir}/%{module}.py
%{py3_sitedir}/__pycache__/%{module}.*.pyc
%attr(755,root,root) %{py3_sitedir}/_%{module}.*.so
%{py3_sitedir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs
%endif
%changelog
* Tue Jun 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-rjsmin.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> 82c0b8b
- up to 1.2.4

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> e4ce59d
- renamed

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ae60cd4
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 71c9c06
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6cbc033
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 93c7161
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 56d91f6
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 8ec3cdc
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 1921e98
- unconditional noarch subpackages

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 2b754cc
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7bb50a4
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ab0d2a
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fe2a817
- python 3.6
- release 2 (by relup.sh)

* Tue Jun 21 2016 Elan Ruusamäe <glen@delfi.ee> 2f3fc4c
- new, version 1.0.12

